Loading...
Searching...
No Matches
etl::fnv_1a_policy_32 Struct Reference

`#include <fnv_1.h>`

## Public Types

typedef uint32_t | value_type

## Public Member Functions

uint32_t | initial () const
uint32_t | add (uint32_t hash, uint8_t value) const
uint32_t | final (uint32_t hash) const

## Static Public Attributes

static ETL_CONSTANT uint32_t | OFFSET_BASIS = 0x811C9DC5UL
static ETL_CONSTANT uint32_t | PRIME = 0x01000193UL

## Detailed Description

fnv_1a policy. Calculates FNV1A.

The documentation for this struct was generated from the following file:

- include/etl/fnv_1.h